package cn.wisenergy.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @Authotr:陈奇
 * @QQ1799796883
 */
@Data
@Accessors(chain = true)
@ApiModel(value="UserSimpleInfoDto类", description="user简单信息")
public class UserSimpleInfoDto {
    @ApiModelProperty(name = "userId", value = "会员ID")
    private Long userId;

    @ApiModelProperty(name = "realName",value = "姓名")
    private String realName;

    @ApiModelProperty(name = "rank", value = "层级")
    private Integer rank;

    @ApiModelProperty(name = "parentId", value = "直接上级id")
    private Integer parentId;

    @ApiModelProperty(name = "parentName", value = "直接上级姓名")
    private String parentName;
}
